/* IT Banner */
.it-section {
    background: url(/images/gabe-it-banner-bg.png) no-repeat center;
    background-size: cover;
    padding-top: 190px;
}

.it-section .block-right {
    position: relative;
}

.it-section h3 {
    color: var(--white-color);
    text-transform: uppercase;
    font-size: 64px;
}

.it-section h4 {
    margin: 0;
    font-size: 16px;
    line-height: 16px;
    border-radius: 50px;
    background: rgba(255, 255, 255, 0.1);
    display: inline-block;
    padding: 10px 14px;
    text-transform: uppercase;
    color: var(--white-color);
}

.book-btn {
    background: var(--white-color);
    display: inline-block;
    font-size: 16px;
    line-height: 16px;
    border-radius: 50px;
    border: none;
    position: relative;
    z-index: 1;
    overflow: hidden;
}

.theme-btn {
    background: linear-gradient(90deg, #2E0797 0%, #726EFC 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 16px;
    line-height: 16px;
    font-weight: 700;
    transition: 0.3s;
    position: relative;
    padding: 8px 8px 8px 20px;
    display: inline-flex;
    align-items: center;
}

.vl-hero img {
    width: 440px;
}

.book-btn::before {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    width: 0%;
    height: 100%;
    background: linear-gradient(90deg, #2E0797 0%, #726EFC 100%);
    transition: all 0.6s ease;
    transform: translateX(-50%);
    z-index: -1;
}

.book-btn:hover::before {
    width: 120%;
}

.book-btn:hover .theme-btn {
    background: none;
    -webkit-text-fill-color: #ffffff;
    color: #ffffff;
}

.book-btn:hover .it-banner-arrow {
    filter: brightness(0) invert(1);
}

.it-section .block-left {
    align-items: flex-start;
}

.it-section p {
    margin: 0;
}

.it-banner-arrow {
    transform: rotate(-180deg);
}

.vl-shape-1,
.vl-shape-2,
.vl-shape-3 {
    position: absolute;
}

.vl-shape-1 {
    left: 560px;
}

.vl-shape-2 {
    left: 420px;
    bottom: 320px;
}

.vl-shape-3 {
    left: 50px;
    bottom: 380px;
}

.vl-hero-fan {
    position: relative;
}

.vl-hero {
    position: absolute;
}

.vl-hero-fan img {
    animation: spin 12s linear infinite;
    animation: spin 12s linear infinite;
    max-width: 636px;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

.vl-shape-1 img,
.vl-shape-2 img,
.vl-shape-3 img {
    animation: floatY 4s ease-in-out infinite;
}

@keyframes floatY {
  0% {
    transform: translateY(0px);
  }
  50% {
    transform: translateY(-20px); /* how much it moves up */
  }
  100% {
    transform: translateY(0px);
  }
}
@media screen and (max-width: 1024px) {
    .book-btn {
        margin-bottom: 20px;
    }
}

@media screen and (max-width: 780px) {
    .it-section {
        height: 129.2vh;
    }
    .it-section .block-split {
        gap: 70px !important;
    }

    .it-section .block-left {
        align-items: center;
    }

    .it-section h3 {
        font-size: 24px;
    }

    .vl-shape-2 {
        left: 450px;
        bottom: 320px;
    }
}

@media screen and (max-width: 500px) {
    .it-section {
        padding-top: 150px;
        height: 104vh;
    }

    .it-section .block-split {
        gap: 100px !important;
    }

    .vl-shape-1,
    .vl-shape-2,
    .vl-shape-3 {
        display: none;
    }
    .vl-hero-fan img {
        max-width: 250px;
    }
    .vl-hero img {
        max-width: 340px;
    }
}

/* Empower Section */
.empower-section .block-split {
    gap: 30px;
}

.empower-section .block-left {
    position: relative;
}

.vl-about-sm-2 {
    position: absolute;
    top: 30px;
    left: 0;
}

.vl-about-large4 {
    margin-left: 123px;
    margin-right: 58px;
    border-radius: 8px;
    height: 500px;
    object-fit: cover;
}

.empower-row {
    display: flex;
    justify-content: space-between;
}

.empower-card {
    padding: 20px;
    background: #F4F5F8;
    margin-bottom: 30px;
    border-radius: 8px;
    max-width: 254px;
}

.empower-card-img {
    background: #EAE9F3;
    height: 50px;
    width: 50px;
    border-radius: 50px;
    line-height: 50px;
    transition: transform 0.3s ease;
    transform-style: preserve-3d;
    display: flex;
    align-items: center;
    justify-content: center;
    perspective: 1000px;
}

.empower-card:hover .empower-card-img {
    transform: rotateY(180deg);
}

.btn-wrapper {
    background: var(--04-homepagemaincolors, linear-gradient(90deg, #2E0797 0%, #726EFC 100%));
    padding: 8px 8px 8px 20px;
    border-radius: 50px;
    display: inline-flex;
    align-items: center;
    gap: 5px;
}

.it-about-arrow {
    filter: brightness(0) invert(1);
    transform: rotate(-180deg);
}

.btn-wrapper:hover {
    color: var(--bs-link-hover-color-rgb);
}

.btn {
    font-size: 16px;
    line-height: 16px;
    font-weight: 700;
    transition: 0.3s;
    color: var(--white-color);
}

@media screen and (max-width: 780px) {
    .content {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
    }

    .empower-row {
        flex-direction: column;
    }

    .vl-about-large4 {
        margin: 0;
    }

    .vl-about-sm-2 {
        display: none;
    }

    .empower-card {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 10px;
    }
}

@media screen and (max-width: 500px) {
    .vl-about-large4 {
        display: none;
    }

    .vl-about-sm-2 {
        display: block;
        position: static;
    }
}

/* Services Section */
.services-section {
    background: var(--fourth-color);
}

.services-section h2 {
    color: var(--white-color);
    text-align: center;
    margin-bottom: 60px;
}

.services-content {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 50px;
}

.service-card {
    background: linear-gradient(90deg, #2E0797, #726EFC);
    background-size: 0% 100%;
    background-repeat: no-repeat;
    background-color: #fff;
    padding: 32px 24px;
    width: 30%;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    gap: 32px;
    transition: background-size 0.4s ease, color 0.3s ease;
}

.service-card:hover {
    background-size: 100% 100%;
    color: #fff;
}

.service-card-img {
    height: 70px;
    width: 70px;
    border-radius: 50px;
    background: #EEEDFB;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

@media screen and (max-width: 768px) {
    .services-content {
        flex-direction: column;
    }

    .service-card {
        width: 100%;
        align-items: center;
        text-align: center;
    }
}

/* Testimonial Section */
.testimonial-section {
    background: linear-gradient(90deg, #2E0797 0%, #726EFC 100%);
    ;
}

.testimonial-section .block-left {
    align-items: flex-start;
}

.testimonial-card {
    width: 30%;
    padding: 32px 24px;
    background: var(--white-color);
    display: flex;
    flex-direction: column;
    gap: 20px;
    border-radius: 20px;
}

.testimonial-card p {
    font-family: "Figtree", sans-serif;
    font-size: 20px;
    line-height: 32px;
    font-weight: 600;
}

.test-stars {
    display: flex;
    gap: 10px;
}

.test-star {
    background: #F5F3FA;
    display: flex;
    height: 28px;
    width: 28px;
    align-items: center;
    justify-content: center;
}

.test-star img {
    height: 20px;
    width: 22.5px;
}

.testimonial-wrapper {
    overflow: hidden;
    width: 100%;
}

.testimonial-track {
    display: flex;
    gap: 20px;
    transition: transform 0.4s ease;
}

.testimonial-card {
    min-width: calc(50% - 20px);
    /* Show 2 cards */
}

.testimonial-nav {
    margin-top: 30px;
    display: flex;
    justify-content: center;
    gap: 20px;
    gap: 30px;
    width: 98%;
}

.arrow-left,
.arrow-right {
    background: #8C87F9 !important;
    height: 60px;
    width: 60px;
    border-radius: 50px !important;
    display: flex;
    cursor: pointer;
}

.arrow-left img,
.arrow-right img {
    filter: brightness(0) invert(1);
}

.arrow-right {
    transform: rotate(-180deg);
}

.testimonial-title p {
    text-align: center;
}

.testimonial-title {
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media (max-width: 500px) {

    .testimonial-track {
        display: flex;
        flex-direction: column;
        transform: none !important;
        /* Remove sliding */
        transition: none !important;
    }

    .testimonial-card {
        min-width: 100%;
        width: 100%;
    }

  .testimonial-nav {
      display: none;   /* Hide arrows */
  }
  .it-banner-arrow, .it-about-arrow {
    width: 40px !important;
  }
}

@media screen and (max-width:1024px) and (min-width: 769px) {
    .vl-hero img {
        width: 370px;
    }

    .vl-shape-3 {
        left: 50px;
        bottom: 380px;
    }

    .vl-shape-2 {
        left: 300px;
        bottom: 350px;
    }

    .vl-shape-1 {
        left: 350px;
    }

    .hero-section.it-section p {
        color: #fff;
    }

    .vl-hero-fan img {
        width: 350px
    }

    .book-btn {
        margin-bottom: 20px;
    }
}